Subject: Re: bug#11935: XINT etc. should be functions

From: Chong Yidong <[email-masked]>
Date: Mon, 16 Jul 2012 10:22:48 +0800

Paul Eggert <[email-masked]> writes:

> I wasn't planning to install it into the emacs-24 branch; only the
> trunk.  Is 24.2 going to come from the emacs-24 branch?

No, from the trunk.  I've explained this several times on emacs-devel,
but maybe you missed those messages.  The emacs-24 branch is only in
case of emergency (e.g. security) release.  Otherwise, 24.2 will be from
the trunk; it will include new features, i.e. it won't be a bugfix-only
release.  But this change could be rather disruptive, for apparently
negligible gain, so better leave it out, I think.

> And if not, then where should post-24 changes go?

You can make a new branch, if you like, or just keep this as a bug in
the BTS.